---
title: Chef Habitat 0.63.0 Released
date: 2018-09-10
author: Salim Alam
tags: release notes
category: product
classes: body-article
---

Habitat 0.63.0 Release Notes

We are happy to announce the release of Chef Habitat 0.63.0. This is primarily a smaller, maintenance release, however it does have some key stability bug fixes that could be a great reason to upgrade. If you just want the binaries, head on over to [Install Chef Habitat](https://www.habitat.sh/docs/install-habitat/). Thanks again for using Chef Habitat!

### Bug Fixes
* Fix compile warning [#5595](https://github.com/habitat-sh/habitat/pull/5595) ([baumanj](https://github.com/baumanj))
* Increase Network Stability across Supervisor Restarts [#5588](https://github.com/habitat-sh/habitat/pull/5588) ([christophermaier](https://github.com/christophermaier))
* Replace deprecated usage of rand crate with mktemp [#5562](https://github.com/habitat-sh/habitat/pull/5562) ([baumanj](https://github.com/baumanj))
* Fix some rustc warnings due to platform-specific code [#5524](https://github.com/habitat-sh/habitat/pull/5524) ([baumanj](https://github.com/baumanj))

### Merged Pull Requests
* supervisor should not init signals on windows [#5603](https://github.com/habitat-sh/habitat/pull/5603) ([mwrock](https://github.com/mwrock))
* ensure pkg build and appveyor hard fails if any powershell error occurs [#5528](https://github.com/habitat-sh/habitat/pull/5528) ([mwrock](https://github.com/mwrock))
* pkg export and hab-sup/hab-launcher commands should honor fs_root [#5592](https://github.com/habitat-sh/habitat/pull/5592) ([mwrock](https://github.com/mwrock))
* studio build and run should check for empty commands [#5593](https://github.com/habitat-sh/habitat/pull/5593) ([mwrock](https://github.com/mwrock))
* Rearrange for correct precedence order [#5579](https://github.com/habitat-sh/habitat/pull/5579) ([raskchanky](https://github.com/raskchanky))
* Improve error message when supervisor unavailable [#5465](https://github.com/habitat-sh/habitat/pull/5465) ([adamhjk](https://github.com/adamhjk))
* powershell build should output .env files as powershell [#5541](https://github.com/habitat-sh/habitat/pull/5541) ([mwrock](https://github.com/mwrock))
* Create root&#39;s $HOME, /root [#5573](https://github.com/habitat-sh/habitat/pull/5573) ([jtimberman](https://github.com/jtimberman))
* fix typo in cli.rs [#5574](https://github.com/habitat-sh/habitat/pull/5574) ([AshleyMSherwood](https://github.com/AshleyMSherwood))
* Add -c flag to studio run command for docker studios [#5559](https://github.com/habitat-sh/habitat/pull/5559) ([elliott-davis](https://github.com/elliott-davis))
* Stop publishing docker studios to bintray [#5560](https://github.com/habitat-sh/habitat/pull/5560) ([elliott-davis](https://github.com/elliott-davis))
* Update common error with more details [#5525](https://github.com/habitat-sh/habitat/pull/5525) ([chefsalim](https://github.com/chefsalim))
* Reuse build studio on Windows [#5539](https://github.com/habitat-sh/habitat/pull/5539) ([mwrock](https://github.com/mwrock))
* Update Cargo Depencencies [#5561](https://github.com/habitat-sh/habitat/pull/5561) ([christophermaier](https://github.com/christophermaier))
* submit blog entry describing `bixu/cacher` package [#5523](https://github.com/habitat-sh/habitat/pull/5523) ([bixu](https://github.com/bixu))
* Make logging looks same [#5532](https://github.com/habitat-sh/habitat/pull/5532) ([jsirex](https://github.com/jsirex))
* Handle post-0.62.1 Release Tasks [#5555](https://github.com/habitat-sh/habitat/pull/5555) ([christophermaier](https://github.com/christophermaier))
